Ice Reference Documentation
<<< Previous | Slice Documentation | Next >>>

# `Ice::Router`

## Overview

    interface Router

The Ice router interface. Routers can be set either globally with `Communicator::setDefaultRouter`, or with `ice_router` on specific proxies.

| The router interface is intended to be used by Ice internals and by router implementations. Regular user code should not attempt to use any functionality of this interface directly.

### Derived Classes and Interfaces

::Glacier2::Router

### Operation Index

`addProxy`

  Add new proxy information to the router's routing table.

`getClientProxy`

  Get the router's client proxy, i.e., the proxy to use for forwarding requests from the client to the router.

`getServerProxy`

  Get the router's server proxy, i.e., the proxy to use for forwarding requests from the server to the router.

## `addProxy`

    void addProxy(Object* proxy);

Add new proxy information to the router's routing table.

### Parameters

`proxy`

  The proxy to add.

## `getClientProxy`

    Object* getClientProxy();

Get the router's client proxy, i.e., the proxy to use for forwarding requests from the client to the router.

### Return Value

The router's client proxy.

## `getServerProxy`

    Object* getServerProxy();

Get the router's server proxy, i.e., the proxy to use for forwarding requests from the server to the router.

### Return Value

The router's server proxy.

<<< Previous | Home | Next >>>
`Ice::RequestFailedException` | Up | `Ice::ServantLocator`